----------------------------------------------------------------------------
-- xplordb
-- 
-- Copyright (C) 2022  Oslandia / OpenLog
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as published
-- by the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
-- 
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <https://www.gnu.org/licenses/>.
-- 
-- __authors__ = ["davidms"]
-- __contact__ = "geology@oslandia.com"
-- __date__ = "2022/02/02"
-- __license__ = "AGPLv3"
----------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION dh.trace_update_surv ()
    RETURNS TRIGGER
    LANGUAGE plpgsql
    AS $function$
BEGIN
    PERFORM
        dh.dh_trace (NEW.data_set, NEW.hole_id);
    IF NEW.hole_id <> OLD.hole_id OR NEW.hole_id IS NULL THEN
        PERFORM
            dh.dh_trace (OLD.data_set, OLD.hole_id);
    END IF;
    RETURN NEW;
END;
$function$
